//
// C++ Interface: %{MODULE}
//
// Description:
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef FIXEDARBITER_H
#define FIXEDARBITER_H

#include <arbiter.h>

/**
@author Arvid Walter
*/
class FixedArbiter : public Arbiter
{
public:
        FixedArbiter(const DOMElement* scope = NULL);

        ~FixedArbiter();

        bool init(const DOMElement* scope);
	
	Wire* pop() ;
	
	Wire* front() const;
	
	const void forget() ;

protected:
        void schedule(std::vector< Wire * > ins);

private:
        const void accept(const std::vector<Wire*>& accepted_list)
        {}
        ;
        //! Priorittsliste fuer den Zugriff auf diese Line
        std::list<Wire*> scheduleList; // eine nach entspr. Sched.-Verfahren sortierte Liste von Eingaengen



};

#endif
