//
// C++ Interface: %{MODULE}
//
// Description:
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef GLOBALROUNDROBINARBITER_H
#define GLOBALROUNDROBINARBITER_H

#include <arbiter.h>

/**
@author Arvid Walter
*/
class GlobalRoundRobinArbiter : public Arbiter
{
public:
        GlobalRoundRobinArbiter(const DOMElement* scope=NULL);

        ~GlobalRoundRobinArbiter();

        bool init(const DOMElement* scope);
		
	Wire* pop() ;
		
	Wire* front() const;
		
	const void forget() ;


protected:
        void schedule(std::vector< Wire * > ins);

private:
        unsigned int SchedVar0;
        unsigned int SchedVar1;

        const void accept(const std::vector<Wire*>& accepted_list)
        {}
        ;
	
        //! Priorittsliste fuer den Zugriff auf diese Line
        std::list<Wire*> scheduleList; // eine nach entspr. Sched.-Verfahren sortierte Liste von Eingaengen


};

#endif
