//
// C++ Interface: %{MODULE}
//
// Description:
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef LOCALROUNDROBINARBITER_H
#define LOCALROUNDROBINARBITER_H

#include <arbiter.h>

/**
@author Arvid Walter
*/
class LocalRoundRobinArbiter : public Arbiter
{
public:
        LocalRoundRobinArbiter(const DOMElement* scope=NULL);

        ~LocalRoundRobinArbiter();

        bool init(const DOMElement* scope);
		
	Wire* pop() ;
		
	Wire* front() const;
		
	const void forget() ;

protected:
        void schedule(std::vector< Wire * > ins);
        const void accept(const std::vector<Wire*>& accepted_list);

private:
        //! Das Object, welches als letztes auf der Line lag
        Wire* lastSwitched;

        unsigned int SchedVar1;
	unsigned int SchedVar0;

	//! Priorittsliste fuer den Zugriff auf diese Line
        std::list<Wire*> scheduleList; // eine nach entspr. Sched.-Verfahren sortierte Liste von Eingaengen

};

#endif
