#ifndef RANDOMARBITER_H
#define RANDOMARBITER_H

#include <arbiter.h>

/**
@author Arvid Walter
*/
class RandomArbiter : public Arbiter
{
public:
        RandomArbiter(const DOMElement* scope=NULL);

        ~RandomArbiter();

        bool init(const DOMElement* scope);
	
	Wire* pop() ;
	
	Wire* front() const;
	
	const void forget() ;

protected:
        void schedule(std::vector< Wire * > ins);
        const void accept(const std::vector<Wire*>& accepted_list)
        {}
        ;
	
private:
        //! Priorittsliste fuer den Zugriff auf diese Line
        std::list<Wire*> scheduleList; // eine nach entspr. Sched.-Verfahren sortierte Liste von Eingaengen

};

#endif
