//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef TEST_LRUARBITER_H
#define TEST_LRUARBITER_H

/**
@author Arvid Walter
*/
#include <Arbiter/lruarbiter.h>
#include <cppunit/extensions/HelperMacros.h>
#include <vector>
#include <wire.h>

using namespace CppUnit;

class Test_LRUArbiter : public TestFixture
{	
	CPPUNIT_TEST_SUITE( Test_LRUArbiter );
	CPPUNIT_TEST( schedule_test);
	CPPUNIT_TEST_SUITE_END();

	private:
		LRUArbiter arbiter;
		std::vector<Wire*> ins;

	public:
		void setUp();
	protected:
		void schedule_test();		
};


#endif
