//
// File: MFUArbiter.h
// Created by: Arvid Walter <asas@cs.tu-berlin.de>
// Created on: Mon Nov 24 09:29:23 2003
//

#ifndef _TEST_MFUARBITER_H_
#define _TEST_MFUARBITER_H_

#include <Arbiter/mfuarbiter.h>
#include <cppunit/extensions/HelperMacros.h>
#include <vector>
#include <wire.h>

using namespace CppUnit;

class Test_MFUArbiter : public TestFixture
{	
	CPPUNIT_TEST_SUITE( Test_MFUArbiter );
	CPPUNIT_TEST( schedule_test);
	CPPUNIT_TEST_SUITE_END();

	private:
		MFUArbiter arbiter;
		std::vector<Wire*> ins;

	public:
		void setUp();
	protected:
		void schedule_test();		
};


#endif	//_TEST_MFUARBITER_H_
