
#include "ParserImpl.h"
#include <stdio.h>

using namespace std;

int main(int argc, char **argv)
{
	int err = 0;
    double val = 0;


	if (argc < 2) {
		std::cerr << "File to parse is missing." << std::endl;
		exit(1);
	};

	FILE *fd = 0;
	FILE *fd2 = 0;

	if(!(fd=fopen(argv[1],"r"))) {
                        printf("Cannot open file1 %s\n", argv[1]);
                        exit(2);
	}
	if(!(fd2=fopen(argv[2],"r"))) {
                        printf("Cannot open file2 %s\n", argv[1]);
                        exit(2);

    	}
    
    char string [512];
    ParserImpl p;
    ParserImpl p2;
    
    while(fgets(string, 512, fd)) p.parse(string);
    while(fgets(string, 512, fd2)) p2.parse(string);
    

    std::cerr << "parsing done" << std::endl;

    err = 0;
    val = p.mp_eval_exp(0, &err);
    std::cerr << "is " << val << " " << err << std::endl;

    val = p.mp_eval_exp(1, &err);
    std::cerr << "is " << val << " " << err << std::endl;


    
    return 0;
}
