#include <pctpacket.h>
#include <pctflit.h>

PCTPacket::PCTPacket(unsigned int psize) : Packet()
{
	resize(psize);
}

Flit* PCTPacket::createFlit(unsigned int offset, unsigned int maxoffset)
{
	return new PCTFlit(this, offset, maxoffset);
}

Packet* PCTPacket::clone(bool deep) const 
{
	Packet* tmp = new PCTPacket(*this);

	if(deep)
		tmp->cloneFlits();
	
	return tmp;
}
