#include <flit.h>

class Buffer;

class VCTFlit : public Flit
{
public:
	
	//! Konstruktor.
	VCTFlit(Packet* owner, unsigned int offset, unsigned int maxoffset) 
		: Flit(owner,offset,maxoffset), forward(true) {}
	
	//! Re-Implementierung der abstrakten Basisklasse Flit.
	void rejected();

	//! Re-Implementierung der abstrakten Basisklasse Flit.
	bool moveable() const;

	//! Re-Implementierung der abstrakten Basisklasse Flit.
	void buffered(Buffer*, signed int since);
	
	//! Implementierung der abstrakten Basisklasse Flit.
	Flit* clone() const;

private:

	//! Flag fuer vermittelbaren Head.
	bool forward;
};

