#include <vctpacket.h>
#include <vctflit.h>

VCTPacket::VCTPacket(unsigned int psize) : Packet()
{
	resize(psize);
}

Flit* VCTPacket::createFlit(unsigned int offset, unsigned int maxoffset)
{
	return new VCTFlit(this, offset, maxoffset);
}

Packet* VCTPacket::clone(bool deep) const 
{
	Packet* tmp = new VCTPacket(*this);

	if(deep)
		tmp->cloneFlits();
		
	return tmp;
}
