#include <worm.h>
#include <wormflit.h>

Worm::Worm(unsigned int psize) : Packet()
{
	resize(psize);
}

Flit* Worm::createFlit(unsigned int offset, unsigned int maxoffset)
{
	return new WormFlit(this, offset, maxoffset);
}

Packet* Worm::clone(bool deep) const 
{
	Packet* tmp = new Worm(*this);
	
	if(deep)
		tmp->cloneFlits();
	
	return tmp;
};

