//
// C++ Interface: %{MODULE}
//
// Description: 
//
//
// Author: %{AUTHOR} <%{EMAIL}>, (C) %{YEAR}
//
// Copyright: See COPYING file that comes with this distribution
//
//
#ifndef TEST_DEADLINEARBITER_H
#define TEST_DEADLINEARBITER_H

/**
@author Arvid Walter
*/
#include <Arbiter/dlarbiter.h>
#include <cppunit/extensions/HelperMacros.h>
#include <vector>
#include <wire.h>

using namespace CppUnit;

class Test_DeadlineArbiter : public TestFixture
{	
	CPPUNIT_TEST_SUITE( Test_DeadlineArbiter );
	CPPUNIT_TEST( schedule_test);
	CPPUNIT_TEST_SUITE_END();

	private:
		DeadlineArbiter arbiter;
		
		Wire* w1; // test wire 1
		Wire* w2; // test wire 2
		
		std::vector<Wire*> ins;

	public:
		void setUp();
	protected:
		void schedule_test();		
};


#endif
