#ifndef __TEST_PSQUAREQUANTILE_H__
#define __TEST_PSQUAREQUANTILE_H__

#include <cppunit/extensions/HelperMacros.h>

using namespace CppUnit;

class PSquareQuantile;

class Test_PSquareQuantile : public TestFixture
{
CPPUNIT_TEST_SUITE( Test_PSquareQuantile );
CPPUNIT_TEST( median_check );
CPPUNIT_TEST( lowerQuartile_check );
CPPUNIT_TEST( upperQuartile_check );
CPPUNIT_TEST_SUITE_END();

public:

	void setUp();

	void tearDown();

	void median_check();

	void lowerQuartile_check();	
	
	void upperQuartile_check();

protected:

	void applyExample1(PSquareQuantile* psq);

private:

	PSquareQuantile* psq1;
	PSquareQuantile* psq2;
	PSquareQuantile* psq3;	
};

#endif
