#include <rand48.h>

#include <cstdlib>
#include <cassert>

// erand48(state) -> double from [0,1[

REGISTER_ELEMENT(Rand48, "Rand48")

Rand48::Rand48()
{
	state[0]=0;
	state[1]=0;
	state[2]=0;
}

void Rand48::uniqueStreamId(unsigned int uid)
{
	state[0]=0;
	state[1]=0;
	state[2]=0;
	
	*((unsigned int*)state) = uid;
}

unsigned int Rand48::uniformInt(unsigned int start, unsigned int end)
{
	// man weiss ja nie..
	assert(start<=end);
	
	return start + (unsigned int) ((end-start + 1.0) * erand48(state));
}
