#include <bitmaskrouting.h>
#include <wire.h>

REGISTER_ELEMENT(BitmaskRouting, "Bitmask")

Bitmask* BitmaskRouting::validOutput(const Packet* ptr, const Bitmask* remaining, const Wire* output)
{
	// Mindestens ein erreichbares Ziel fuer Paket ueber Ausgang
	if((*remaining) <= output->getBitmask())
		return new Bitmask((*remaining) & output->getBitmask());

	return NULL;
}

